Use the macro in the Trac wiki or in a ticket, e.g.:

[[TracJSGanttChart(milestone=wheezy,dateDisplay=yyyy-mm-dd)]]

Your /etc/trac/trac.ini or $PROJECT/conf/trac.ini should contain
something like:

[TracPM]
# To work with trac-mastertickets for dependencies
## Ticket field to use as the data source for predecessor list
fields.pred = blockedby
## Ticket field to use as the data source for successor list
fields.succ = blocking
#
# To work with trac-subtickets for parent/child relationships
## Ticket field to use as the data source for the parent parent_format', '%s', Format of ticket IDs in parent field (default: None).
fields.parent = parents
#
# Custom fields for start and due dates
## Ticket field to use as the data source for start date (default: None)
fields.start = userstart
## Ticket field to use as the data source for finish date (default: None)
fields.finish = userfinish
#
# Format for ''start'' and ''finish'' date strings (default: '%Y-%m-%d')
date_format = %Y-%m-%d
#
# Ticket type for milestone-like tickets (default: 'milestone')
milestone_type = milestone
#
default_estimate = 4.0
estimate_pad = 0.0
fields.percent =
hours_per_estimate = 1
